predict.gafs {caret} | R Documentation

## Predict new samples

### Description

Predict new samples using `safs` and `gafs` objects.

### Usage

    ## S3 method for class 'gafs'
    predict(object, newdata, ...)

### Arguments

`object` | an object of class `safs` or `gafs`
`newdata` | a data frame or matrix of predictors.
`...` | not currently used

### Details

Only the predictors listed in `object$optVariables` are required.

### Value

The type of result depends on what was specified in `object$control$functions$predict`.

### Author(s)

Max Kuhn

### See Also

`safs`, `gafs`

### Examples

    ## Not run:

    set.seed(1)
    train_data <- twoClassSim(100, noiseVars = 10)
    test_data  <- twoClassSim(10,  noiseVars = 10)

    ## A short example
    ctrl <- safsControl(functions = rfSA,
                        method = "cv",
                        number = 3)

    rf_search <- safs(x = train_data[, -ncol(train_data)],
                      y = train_data$Class,
                      iters = 3,
                      safsControl = ctrl)

    rf_search

    predict(rf_search, train_data)

    ## End(Not run)

[Package caret version 6.0-73 Index]